Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229825 - aci with bogus uid= dn created by ds_newinst
Summary: aci with bogus uid= dn created by ds_newinst
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-23 17:44 UTC by Rich Megginson
Modified: 2015-12-07 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:55:40 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-02-23 17:44 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-02-23 18:41 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-02-23 17:44:00 UTC
If you run ds_newinst.pl with a bare minimum .inf file, you will see the
following aci created in cn=config:
aci: (targetattr="*")(version 3.0; acl "Configuration Administrator"; allow (a
 ll) userdn="ldap:///uid=,ou=Administrators, ou=TopologyManagement, o=Netscap
 eRoot";)
We should not create this aci, as we do not have a configuration DS if we are
creating a minimal fedora-ds-base.

Comment 1 Rich Megginson 2007-02-23 17:44:00 UTC
Created attachment 148687 [details]
diffs

Comment 2 Noriko Hosoi 2007-02-23 18:39:05 UTC
Looks good.

Comment 3 Rich Megginson 2007-02-23 18:41:10 UTC
Created attachment 148697 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Unknown to me until just now, PL_strdup(NULL) will return "" -
the empty string.  The code in config_suitespot() expects that empty or unused
fields are NULL.  The solution is to create a create_instance_strdup() wrapper
around PL_strdup() and use that in cases where the argument may be NULL.  I
checked create_instance.c.  Every other place where PL_strdup is used, the
argument is checked for NULL first.  So these are the only places affected. 
Instance creation works fine after this change and does not create the
offending aci.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no

Comment 4 Yi Zhang 2007-11-30 00:30:46 UTC
ds_newinst.pl has been discard in the new 8.0 release. However, related code
still used. Bug verification test has been done. Please refer to bug 229824 for
details.


Note You need to log in before you can comment on or make changes to this bug.